package com.atlassian.bitbucket.mesh.git.fetch;

import com.atlassian.bitbucket.mesh.repository.Repository;

import javax.annotation.Nonnull;

import static java.util.Objects.requireNonNull;

public class FetchFailedEvent {

    private final Repository repository;

    public FetchFailedEvent(@Nonnull Repository repository) {
        this.repository = requireNonNull(repository, "repository");
    }

    @Nonnull
    public Repository getRepository() {
        return repository;
    }
}
